summaryrefslogtreecommitdiff
path: root/tests.sh
diff options
context:
space:
mode:
author?ric Araujo <merwok@netwok.org>2012-03-13 16:05:55 +0100
committer?ric Araujo <merwok@netwok.org>2012-03-13 16:05:55 +0100
commit030489ab11c4252a876d1881e2c7a9b38c07a898 (patch)
treefc7c2417d4ae7058a3fc35121df72ea3edcca599 /tests.sh
parent7d29edff4202035cc03f339e1a90ea30db37d640 (diff)
downloaddisutils2-030489ab11c4252a876d1881e2c7a9b38c07a898.tar.gz
Add missing CHANGES entries and remove more 2.4 support code
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
index 061b563..06565ae 100755
--- a/tests.sh
+++ b/tests.sh
@@ -1,4 +1,14 @@
#!/bin/sh
+echo -n "Running tests with Python 2.5... "
+python2.5 -Wd runtests.py -q
+if [ $? -ne 0 ];then
+ echo Failed, re-running
+ python2.5 -Wd runtests.py
+ exit $?
+else
+ echo Success
+fi
+
echo -n "Running tests with Python 2.6... "
python2.6 -Wd runtests.py -q
if [ $? -ne 0 ];then